phy_aneg_done
Prev | PHY Support | Next

## Name

phy_aneg_done — return auto-negotiation status

## Synopsis

`int phy_aneg_done (` | struct phy_device * | phydev`)`;

## Arguments

`phydev`

  target phy_device struct

## Description

Reads the status register and returns 0 either if auto-negotiation is incomplete, or if there was an error. Returns BMSR_ANEGCOMPLETE if auto-negotiation is done.

Prev | Up | Next
phy_config_interrupt | Home | phy_find_setting